classification
Title: PEP 3121, 384 Refactoring applied to sha1 module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, christian.heimes, gregory.p.smith, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:03 by Robin.Schreiber, last changed 2020-09-07 13:50 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
sha1_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:03
Messages (2)
msg168411 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:03
Changes proposed in PEP3121 and PEP384 have now been applied to the sha1 module!
msg376485 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-07 13:50
Fixed by:

New changeset 63f102fe079ecb5cb7b921a1cf8bce4077a9d7e2 by Mohamed Koubaa in branch 'master':
bpo-1635741: Port _sha1, _sha512, _md5 to multiphase init (GH-21818)
https://github.com/python/cpython/commit/63f102fe079ecb5cb7b921a1cf8bce4077a9d7e2
History
Date User Action Args
2020-09-07 13:50:24vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg376485
resolution: duplicate
stage: resolved
2013-07-06 23:12:05christian.heimessetnosy: + christian.heimes
2012-11-08 13:44:54Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:03:54Robin.Schreibercreate